--_G.AutoScrap_GlobalSettings = _G.AutoScrap_GlobalSettings or {}
local _,ns = ...
local L = ns.L

function ns.miniMapLoad()

    local function AutoScrapShow (button)
        if button == "LeftButton" then
            if ns.frameOutterFrame:IsShown() then
                ns.ocultarFrames()
            else
                ns.mostrarFrames()
            end
        elseif button == "RightButton" then
            ns.combatToggle()
        end
    end

    -- Primero creando con LibDataBroker
    local miniIcon = LibStub("LibDataBroker-1.1"):NewDataObject("AutoScrap", {
        type = "data source",
        text = "AutoScrap",
        icon = "Interface\\AddOns\\AutoScrap\\images\\AutoScrap.blp",
        OnClick = function(self, button)
            AutoScrapShow(button)
        end,
        OnTooltipShow = function(tooltip)
            if not tooltip or not tooltip.AddLine then return end
            tooltip:AddLine("AutoScrap")
            tooltip:AddLine(L["Left Click: Toggle AutoScrap"],1,1,1)
            tooltip:AddLine(L["Right Click: Toggle Combat Statistics"],1,1,1)
        end
    })

    -- Repetir con LibDBIcon
    local icon = LibStub("LibDBIcon-1.0", true)
    icon:Register("AutoScrap", miniIcon, AutoScrap_GlobalSettings)

    -- Function to toggle LibDBIcon
    --local function LibDBIconToggle()
    --if  AutoScrap_GlobalSettings.hide then
        --icon:Hide("AutoScrap")
    --else
        icon:Show("AutoScrap")
    --end
    --end
    --LibDBIconToggle()
end
--ns.miniMapLoad = miniMapLoad